## org.eclipse.emf.codegen.ecore.generator
Interface GeneratorAdapterFactory.Descriptor.Registry

All Known Implementing Classes:
  GeneratorAdapterFactory.Descriptor.DelegatingRegistry

Enclosing interface:
  GeneratorAdapterFactory.Descriptor

    public static interface GeneratorAdapterFactory.Descriptor.Registry

A registry of `Descriptor`s. Descriptors are keyed by package ID, and multiple descriptors can be associated with each package ID.

Field Summary
`static GeneratorAdapterFactory.Descriptor.Registry` `INSTANCE` The global generator adapter factory descriptor registry.

Method Summary
`boolean` `addDescriptor(java.lang.String packageID, GeneratorAdapterFactory.Descriptor descriptor)` Registers the given descriptor against the specified package ID.
`void` `clear()` Clears the registry of all descriptor registrations.
`java.util.Collection<GeneratorAdapterFactory.Descriptor>` `getDescriptors(java.lang.String packageID)` Returns the descriptors registered against the given package ID.
`boolean` `removeDescriptor(java.lang.String packageID, GeneratorAdapterFactory.Descriptor descriptor)` Removes the given descriptor from the collection registered against the given package ID.
`boolean` `removeDescriptors(java.lang.String packageID)` Deregisters all descriptors for a given package ID.

Field Detail

### INSTANCE

    static final GeneratorAdapterFactory.Descriptor.Registry INSTANCE

  The global generator adapter factory descriptor registry.

Method Detail

### getDescriptors

    java.util.Collection<GeneratorAdapterFactory.Descriptor> getDescriptors(java.lang.String packageID)

  Returns the descriptors registered against the given package ID.

### addDescriptor

    boolean addDescriptor(java.lang.String packageID,
                          GeneratorAdapterFactory.Descriptor descriptor)

  Registers the given descriptor against the specified package ID.

  Returns:
    whether the descriptor was added to the collection of descriptors for that package ID.

### removeDescriptor

    boolean removeDescriptor(java.lang.String packageID,
                             GeneratorAdapterFactory.Descriptor descriptor)

  Removes the given descriptor from the collection registered against the given package ID.

  Returns:
    whether the descriptor was deregistered (this should be true if it was previously registered against that package ID).

### removeDescriptors

    boolean removeDescriptors(java.lang.String packageID)

  Deregisters all descriptors for a given package ID.

  Returns:
    whether any descriptors were deregistered (this should be true if any descriptor was previously registered against it).

### clear

    void clear()

  Clears the registry of all descriptor registrations.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.